ColorSitingType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum ColorSitingType

- java.lang.Object
- - java.lang.Enum<ColorSitingType>
  - - tv.amwa.maj.enumeration.ColorSitingType

- All Implemented Interfaces:
    Serializable, Comparable<ColorSitingType>, MediaEnumerationValue

      public enum ColorSitingType
      extends Enum<ColorSitingType>
      implements MediaEnumerationValue

  Specifies color siting that indicates where colored pixels are located with respect to their associated luminance value.

  Original C name: `aafColorSiting_e`

  See Also:
    `CDCIDescriptor.getColorSiting()`, `TypeDefinitions.ColorSitingType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Averaging` The color pixel is sited at the point horizontally midway between the luminance pixels on each line.
    `CoSiting` The first luminance value of the image is co-sited with the first chrominance value.
    `Quincunx` Color samples are sited at the point midway between two adjacent luminance pixels on two adjacent lines, as in MPEG-1 4:2:0.
    `Rec601` Color samples are known to be sited in accordance with ITU-R BT.601.
    `ThreeTap` Reserved.
    `UnknownSiting` The siting of the color samples is unknown.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static ColorSitingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ColorSitingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### CoSiting

          public static final ColorSitingType CoSiting

      The first luminance value of the image is co-sited with the first chrominance value.

    - #### Averaging

          public static final ColorSitingType Averaging

      The color pixel is sited at the point horizontally midway between the luminance pixels on each line.

    - #### ThreeTap

          public static final ColorSitingType ThreeTap

      Reserved.

    - #### Quincunx

          public static final ColorSitingType Quincunx

      Color samples are sited at the point midway between two adjacent luminance pixels on two adjacent lines, as in MPEG-1 4:2:0.

    - #### Rec601

          public static final ColorSitingType Rec601

      Color samples are known to be sited in accordance with ITU-R BT.601.

    - #### UnknownSiting

          public static final ColorSitingType UnknownSiting

      The siting of the color samples is unknown.

  - ### Method Detail

    - #### values

          public static ColorSitingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColorSitingType c : ColorSitingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColorSitingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.